// XInterface.cpp: implementation of the XInterface class.
//
//////////////////////////////////////////////////////////////////////

#include "XInterface.h"
#include "debug.h"

//////////////////////////////////////////////////////////////////////
// Construction/Destruction
//////////////////////////////////////////////////////////////////////

XInterface::XInterface()
{
	// The addresses are automatically initialized to 0.0.0.0
	is_loopback = false;
	is_pointToPoint = false;
	is_multicast = false;
}

XInterface::XInterface(int address, int netmask, int broadcast, bool is_loopback, bool is_pointToPoint, bool is_broadcast, bool is_multicast)
{
	this->address.setAddress(address);
	this->netmask.setAddress(netmask);
	this->broadcast.setAddress(broadcast);

	this->is_loopback=is_loopback;
	this->is_pointToPoint=is_pointToPoint;
	this->is_broadcast=is_broadcast;
	this->is_multicast=is_multicast;

	/*xDebug("Interface Constructed");
	xDebug("ad: %s, nm: %s, br: %s", this->address.toString().latin1(), this->netmask.toString().latin1(), this->broadcast.toString().latin1());
	xDebug("%d, %d, %d, %d", is_loopback, is_pointToPoint, is_broadcast, is_multicast);*/
}



XInterface::~XInterface()
{

}

bool XInterface::isLoopback()
{
	return is_loopback;
}

bool XInterface::isPointToPoint()
{
   return is_pointToPoint;
}

bool XInterface::isBroadcast()
{
	return is_broadcast;
}


QHostAddress* XInterface::getAddress()
{
	return new QHostAddress(address);
}

QHostAddress* XInterface::getBroadcast()
{
	return new QHostAddress(broadcast);
}

bool XInterface::setInterfaceIPv4Configuration(int address, int netmask, int broadcast, bool is_loopback, bool is_pointToPoint, bool is_broadcast, bool is_multicast)
{
	this->address.setAddress(address);
	this->netmask.setAddress(netmask);
	this->broadcast.setAddress(broadcast);

	this->is_loopback=is_loopback;
	this->is_pointToPoint=is_pointToPoint;
	this->is_broadcast=is_broadcast;
	this->is_multicast=is_multicast;

	return true;
}
