#include "netclipdialogbase.h"
#include "XInterfaceList.h"	// Added by ClassView

#include <qsocketdevice.h>
#include <qsocketnotifier.h>
#include <qhostaddress.h>
#include <qmenubar.h>
#include <qpopupmenu.h>

class TrayIcon;

class netclipWindow : public netclipDialogBase
{
	Q_OBJECT

public:
	netclipWindow( QWidget* parent = 0, const char* name = 0 );
	~netclipWindow();
	QMenuBar* menu;

public slots:
    virtual void clipboardDataChanged();
	virtual void incomingData(int socket);
	virtual void applyClicked();
	virtual void about();


private:
	bool requestRealClose;
	//virtual void closeEvent(QCloseEvent * e);
	XInterfaceList interfaceList;
    int udp_port;
	QHostAddress *bcastaddr;
	QHostAddress *bcastinterface;

    // Socket Device for UDP communication.
    QSocketDevice *qsd;
    // Notifier, signals available data on socket.
    QSocketNotifier *qsn;
	
	// Flags current clipboard contents as having come from network.
	bool from_network;
};

