#ifndef TRAYDIALOG_H
#define TRAYDIALOG_H

#include <qdialog.h>

class TrayIcon;
class QPopupMenu;

class XTrayDialog : public QDialog
{
	Q_OBJECT
public:
	XTrayDialog( QWidget* parent = 0, const char* name = 0, bool modal = FALSE, WFlags f = 0 );
	~XTrayDialog();

	QPopupMenu*	trayVisibleMenu;
	QPopupMenu*	trayHiddenMenu;
	TrayIcon* trayIcon;

public slots:
	virtual void toggleVisible();
	virtual void realClose();
	virtual void show();
	virtual void hide();
	virtual void setIcon (QPixmap &pm);
	virtual void setCaption (const QString &cap);

protected:
	virtual void closeEvent(QCloseEvent *e);
	
private:
	bool requestRealClose;
	
};

#endif
